gitops:
  # Manifest projects are watched by the agent. Whenever a project changes,
  # GitLab deploys the changes using the agent.
  manifest_projects:
  - id: anthonybaer/demo-stuff/advanced-ci-cd-workshop-jun-2021
  #- id: path/to/your/project
    default_namespace: gitlab-kubernetes-agent
    # Paths inside of the repository to scan for manifest files.
    # Directories with names starting with a dot are ignored.
    paths:
    - glob: 'kubernetes/test_config.yaml'
    # - glob: 'kubernetes/**/*.yaml'

# The CI/CD tunnel is always enabled in the project where you register and configure the Agent. 
# This connection can be shared with other groups and projects. 
ci_access:
  # projects:
  # - id: path/to/project
  groups:
  - id: anthonybaer/demo-stuff 
  # - id: path/to/group that is a parent to the agent configuration project
